package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2023-02-16
 * @description : 游戏支付策略类型
 */
@Getter
@AllArgsConstructor
public enum GameStrategyTypeEnum {

    /**
     * 切换规则
     */
    CUT_RULE(1, "切换规则"),

    /**
     * 显示规则
     */
    SHOW_RULE(2, "显示规则"),

    /**
     * 订单起量切换规则
     */
    QUANTITY_CUT_RULE(3, "订单起量切换规则");

    /**
     * 游戏支付策略类型
     */
    private Integer type;

    /**
     * 游戏支付策略类型名称
     */
    private String name;

    public static String getNameByType(Integer type) {
        for (GameStrategyTypeEnum gameStrategyTypeEnum : GameStrategyTypeEnum.values()) {
            if (Objects.equals(type, gameStrategyTypeEnum.getType())) {
                return gameStrategyTypeEnum.getName();
            }
        }
        return null;
    }
}
